/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.fw.model;

import java.util.Map;

import junit.framework.TestCase;

import gov.va.med.fw.model.lookup.SeverityType;
import gov.va.med.fw.model.lookup.SimpleLookupUtils;
import gov.va.med.fw.model.lookup.TransactionType;

/**
 * Initial javadoc for class TestSimpleLookups.
 * TODO - Add content here
 * 
 * Created Aug 3, 2006 4:42:02 PM
 * @author DNS   BOHMEG
 */
public class TestSimpleLookups extends TestCase {
	public void testGetAll() throws Exception {
		Map all = SimpleLookupUtils.getAllValues(SeverityType.class);
		System.out.println(all);
		
		all = SimpleLookupUtils.getAllValues(TransactionType.class);
		System.out.println(all);		
	}
	
	public void testGetByCode() throws Exception {
		System.out.println(SimpleLookupUtils.getByCode(SeverityType.class, "1"));
		System.out.println(SimpleLookupUtils.getByCode(SeverityType.class, "2"));
		System.out.println(SimpleLookupUtils.getByCode(SeverityType.class, "3"));
		
		System.out.println(SimpleLookupUtils.getByCode(TransactionType.class, "D"));
	}	
}
